> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/da/knowledge-base/troubleshooting-articles/enable-the-recording-server-log.md).

# Aktivér loggen for optagelsesserveren

Forklarer, hvordan detaljeret logning aktiveres for den ældre optagelsesserver til Devolutions Server ved at redigere indstillingerne i konfigurationsfilen til log4net.

{% hint style="info" %}
Denne version af optagelsesserveren understøttes ikke længere.
{% endhint %}

Følgende procedure beskriver, hvordan logværktøjet aktiveres for ***optagelsesserveren*** til Devolutions Server.

### Aktivér logge

1. For at redigere filen **log4net.config** skal De klikke på knappen ***Udforsk*** i sektionen ***Optagelsesserver*** på fanen ***Ledsagere*** i Devolutions Server Console.
2. Angiv parameterværdien for filen med den fulde sti til logfilen. Sørg for, at omvendte skråstreger er fordoblet.

{% hint style="warning" %}
Sørg for, at destinationsmappen for loggene har skriverettigheder.
{% endhint %}

3. Angiv parameterværdien for niveauet til ALL.
4. Genstart både tjenesten Collector og tjenesten Processor på serveren efter enhver ændring af disse filer.

{% hint style="info" %}
Sørg for at sætte niveauværdien tilbage til ERROR, og genstart tjenesterne, når undersøgelsen er fuldført.
{% endhint %}

```
<?xml version="1.0" encoding="utf-8" ?>
<log4net>
  <appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
    <file value="c:\\Logs\\collector.log" />
    <appendToFile value="true" />
    <maximumFileSize value="1MB" />
    <maxSizeRollBackups value="5" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %5level %logger.%method [%line] - MESSAGE: %message%newline %exception" />
    </layout>
  </appender>
  <root>
    <level value="ALL" />
    <appender-ref ref="RollingFile" />
  </root>
</log4net>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/da/knowledge-base/troubleshooting-articles/enable-the-recording-server-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
